# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "ailake-index"
version = "0.0.18"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "HNSW and IVF-PQ vector indexes with GPU acceleration for AI-Lake"
readme = false
keywords = [
    "hnsw",
    "vector-search",
    "ann",
    "embedding",
    "ivf",
]
categories = [
    "algorithms",
    "database",
    "science",
]
license = "MIT OR Apache-2.0"
repository = "https://github.com/ThiagoLange/ai-lakehouse"

[lib]
name = "ailake_index"
path = "src/lib.rs"

[[test]]
name = "gpu_data"
path = "tests/gpu_data.rs"

[dependencies.ailake-core]
version = "0.0.18"

[dependencies.ailake-vec]
version = "0.0.18"

[dependencies.bincode]
version = "1"

[dependencies.half]
version = "2"
features = ["serde"]

[dependencies.libloading]
version = "0.8"

[dependencies.memmap2]
version = "0.9"

[dependencies.rand]
version = "0.8"

[dependencies.rayon]
version = "1"

[dependencies.serde]
version = "1"
features = ["derive"]

[dependencies.tempfile]
version = "3"

[dependencies.thiserror]
version = "1"

[dependencies.tracing]
version = "0.1"

[dev-dependencies.rand]
version = "0.8"
